Class | Bio::FlatFileIndex::Indexer::Parser::EMBLParser
In: | lib/bio/io/flatfile/indexer.rb
Parent: | TemplateParser

### Methods

new

### Constants

NAMESTYLE | = | NameSpaces.new( NameSpace.new( 'ID', Proc.new { |x| x.entry_id } ), NameSpace.new( 'AC', Proc.new { |x| x.accessions } ), NameSpace.new( 'SV', Proc.new { |x| x.sv } ), NameSpace.new( 'DR', Proc.new { |x| y = []
PRIMARY | = | 'ID'
SECONDARY | = | [ 'AC', 'SV' ]

### Public Class methods

new(pri_name = nil, sec_names = nil)

[Source]

         # File lib/bio/io/flatfile/indexer.rb, line 219
    219:           def initialize(pri_name = nil, sec_names = nil)
    220:             super()
    221:             self.format = 'embl'
    222:             self.dbclass = Bio::EMBL
    223:             self.set_primary_namespace((pri_name or PRIMARY))
    224:             unless sec_names then
    225:               sec_names = self.class::SECONDARY
    226:             end
    227:             self.add_secondary_namespaces(*sec_names)
    228:           end

[Validate]